Description

If you add a post build unix command as a shell aspect in your maven-based recipe the

according build job cannot be created because the build generator cannot

derive a correct execution order. Jan Knows the details.

History

#1 - 2014-09-25 13:37 - Norman Köster

- Priority changed from High to Urgent

This issue is quite relevant for the lsp-csra code sprint #4 as we can not test (not even locally) as we want to use this functionality to create symlinks

in $prefix/bin for binaries created with maven (which lie in $prefix/opt/COMPONENT_NAME/bin). We want  to avoid to create a workaround/hack (e.g.

launching them by hand) to launch the components as we have too many.

#2 - 2014-10-20 10:45 - Johannes Wienke

Jan, can we have a hacked workaround for the 0.3 release branch?

#3 - 2014-10-20 13:43 - Jan Moringen

I have to think about this for a bit.

#4 - 2014-10-20 15:32 - Jan Moringen

Can probably be hacked in 0.3 branch of the build-generator.

#5 - 2014-10-20 15:32 - Jan Moringen

- Status changed from New to In Progress

- % Done changed from 0 to 30

#6 - 2014-10-23 17:15 - Jan Moringen

- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

0.3 branch of the generator contains a hack which allows sidestepping the problem if the execution order of the generated builders does not

matter.

Execution with --on-error continue will look something like:

1 problem during DEPLOY/PROJECT phase:

  DEPLOYMENT-ERROR:

    Error during deployment of #<PROJECT rsb-java {100D021DC3}> » #<VERSION rsb-java:master {100D0E1543}> » #<JOB

 rsb-java:master:toolkit-nightly-nightly {100D313433}>

    Caused by:

    > #<CLOSURE (LAMBDA (&REST ALEXANDRIA.0.DEV::MORE) :IN ALEXANDRIA.0.DEV:RCURRY) {1010572E3B}> does not define a partial

 order on

2025-04-05 1/2



    > (#<JENKINS.API:BUILDER/SHELL ./mvnprep.sh {101033E1A3}> #<JENKINS.API:BUILDER/MAVEN (install deploy

 dependency:copy-dependencies) {10101DEE73}>

    >  #<JENKINS.API:BUILDER/SHELL maven_install_with_pom () { {101043EDD3}> #<JENKINS.API:BUILDER/SHELL echo bla {101014DD43}>).

    > Problems:

    > * #<BUILDER/SHELL maven_install_with_pom () { {101043EDD3}> - #<BUILDER/SHELL echo bla {101014DD43}>
